-- (c) David Cunningham 2009, Licensed under the MIT license: http://www.opensource.org/licenses/mit-license.php

include "common/init.lua"
include "vehicles/init.lua"

local t = Timer()

--add_resource_location("gtasa/gta3.img.zip","Zip",false)
--add_resource_location("gtasa/gta_int.img.zip","Zip",false)
--add_resource_location("gtasa/meshes.zip","Zip",false)
--initialise_all_resource_groups()

function mats()
        local t = Timer()
        include "gtasa/materials.lua"
        --read_matbin("gtasa/san_andreas.matbin",matbin_reader)
        echo("materials.lua: "..t.us/1000000 .." seconds")
end

mats()

t:reset()
include "gtasa/classes.lua"
echo("classes.lua: "..t.us/1000000 .." seconds")
t:reset()
include "gtasa/map.lua"
echo("map.lua: "..t.us/1000000 .." seconds")
include "gtasa/cars.lua"


function go_la()
        gfx:warp(Vector3(2312.48, -1621.77, 35.7562), Quat(0.870673,0.00683816,0.00386254,0.4918))
end

function go_vegas()
        gfx:warp(Vector3(1856.87, 1360.64, 60.1808), Quat(0.981828,-0.0473323,-0.00884934,0.183564))
end

function go_vegas2()
        gfx:warp(Vector3(1770.23, 2959.79, 41.6458), Quat(0.00732922,-0.000130489,-0.0178007,0.999815))
end

function go_vegas3()
        gfx:warp(Vector3(2104.36, 1969.44, 12.7467),Quat(0.989455,-0.0669341,-0.00866934,0.128155))
end

function go_sf()
        gfx:warp(Vector3(-2016.56, 884.951, 68.9321), Quat(0.868686,-0.051001,0.0288787,-0.491883))
end

function go_nowhere()
        gfx:warp(Vector3(0,0,-10000))
end

function sunset()
        gfx.sun:setDiffuseColour(1,.7,0.2)
        gfx.sun:setSpecularColour(1,1,0.5)
        gfx.sun.direction = Vector3(-3,-1,-1.8).normalised
end

function all_cast_shadows()
        foreach(streamer.objects, function(o)
                o.castShadows = true
                if o.instance then
                        o.instance.entity.castShadows = true
                end
        end)
end


-- vim: shiftwidth=8:tabstop=8:expandtab
