-- (c) David Cunningham 2009, Licensed under the MIT license: http://www.opensource.org/licenses/mit-license.php

if not already_setup_testville then
        gfx:warp(Vector3(0,150,5))
        streamer:clearObjects()
        already_setup_testville = true
end

material "testville/Floor" { diffuseMap="testville/Floor.dds" }
material "testville/Ramp" { diffuseMap="testville/Floor.dds" }

streamer:addClass("testville/Floor",ColClass,{receiveShadows=true,renderingDistance=1200,castShadows=true})

streamer:addClass("testville/ThunderDome",ColClass,{receiveShadows=true,renderingDistance=400,castShadows=true})

streamer:addClass("testville/Ramp",ColClass,{receiveShadows=true,renderingDistance=400,castShadows=true})

streamer:addClass("testville/Road",ColClass,{receiveShadows=true,renderingDistance=400,castShadows=true})

streamer:addObject("testville/Floor",0,0,-1,{name="Floor"})
streamer:addObject("testville/ThunderDome",0,0,100,{name="ThunderDome"})
streamer:addObject("testville/Road",0,300,50,{name="Road"})


-- vim: shiftwidth=8:tabstop=8:expandtab
