if not already_setup_playground then
        gfx:warp(Vector3(0.0, 0.0, 5.0))
        --gfx.cam.nearClipDistance = 0.05
		if gfx.sun ~= nil then gfx.sun.direction = Vector3(0.806346, 0.318246, -0.498524) end
        player_ctrl.speedFast = 30
        player_ctrl.speedSlow = 3
        already_setup_playground = true
end
--

material "DEFAULT" { diffuseColour={1,1,1}, specularColour={1,1,1}, specularity=15 }
material "smallramp" { diffuseMap = "playground/img/ramps/textures/smallramp.dds", normalMap = "playground/img/ramps/textures/smallramp_N.dds", specularMap="playground/img/ramps/textures/smallramp_S.dds" }

--Classes
streamer:addClass("playground/img/road",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("playground/img/terrain",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("playground/img/hangar",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("playground/img/canal",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=1500})
streamer:addClass("playground/img/tunnel",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=500})
streamer:addClass("playground/img/ramps/meshes/fastramp",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=290})
streamer:addClass("playground/img/ramps/meshes/halfpipe",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=290})
streamer:addClass("playground/img/ramps/meshes/halfpipelarge",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=290})
streamer:addClass("playground/img/ramps/meshes/ramp",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=290})
streamer:addClass("playground/img/ramps/meshes/smallramp",ColClass,{castShadows=true,receiveShadows=true,renderingDistance=290})

--Placement
streamer:addObject("playground/img/road",0,0,0,{name="road"})
streamer:addObject("playground/img/terrain",0,0,0,{name="terrain"})
streamer:addObject("playground/img/hangar", -30.0252, 0.0, 0.0, {name="hangar"})
streamer:addObject("playground/img/canal", 40.3823, -13.4205, -2.01774, {name="canal"})
streamer:addObject("playground/img/tunnel", 40.4177, 3.26091, 11.0101, {name="tunnel"})

streamer:addObject("playground/img/ramps/meshes/halfpipe", 13.0144, 7.52401, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipe", 16.0624, 7.52401, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipe", 19.1104, 7.52401, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipe", 19.1104, -2.47599, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipe", 16.0624, -2.47599, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipe", 13.0144, -2.47599, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipe", -17.0711, -9.66328, 0.0, {rot=Vector3(0.0,0.0,90.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipelarge", 22.1584, 7.524, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipelarge", 25.2064, 7.524, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipelarge", 25.2064, -2.476, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("playground/img/ramps/meshes/halfpipelarge", 22.1584, -2.476, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("playground/img/ramps/meshes/ramp", 9.96637, 7.45972, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("playground/img/ramps/meshes/ramp", 9.96637, -2.54028, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("playground/img/ramps/meshes/ramp", 6.91837, -2.54028, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("playground/img/ramps/meshes/smallramp", 3.87037, -2.54027, 0.0, {rot=Vector3(0.0,0.0,180.0)})
streamer:addObject("playground/img/ramps/meshes/smallramp", 3.87037, 7.45973, 0.0, {rot=Vector3(0.0,0.0,0.0)})
streamer:addObject("playground/img/ramps/meshes/ramp", 6.91837, 7.45972, 0.0, {rot=Vector3(0.0,0.0,0.0)})
